# Uses of Class
serp.bytecode.ReturnInstruction

Packages that use ReturnInstruction
Package
Description
serp.bytecode
Bytecode Manipuation
serp.bytecode.visitor
Bytecode Visitor

## Uses of ReturnInstruction in serp.bytecode

Methods in serp.bytecode that return ReturnInstruction
Modifier and Type
Method
Description
`ReturnInstruction`
Code.`areturn()`
Return an object from a method; the `areturn` opcode.
`ReturnInstruction`
Code.`dreturn()`
Return a double from a method; the `dreturn` opcode.
`ReturnInstruction`
Code.`freturn()`
Return a float from a method; the `freturn` opcode.
`ReturnInstruction`
Code.`ireturn()`
Return an int from a method; the `ireturn` opcode.
`ReturnInstruction`
Code.`lreturn()`
Return a long from a method; the `lreturn` opcode.
`ReturnInstruction`
Code.`vreturn()`
Return void from a method; the `return` opcode.
`ReturnInstruction`
Code.`xreturn()`
Return from a method.

## Uses of ReturnInstruction in serp.bytecode.visitor

Methods in serp.bytecode.visitor with parameters of type ReturnInstruction
Modifier and Type
Method
Description
`void`
BCVisitor.`enterReturnInstruction(ReturnInstruction obj)`
`void`
BCVisitor.`exitReturnInstruction(ReturnInstruction obj)`